Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class SortSpec

    java.lang.Object
      com.google.appengine.api.search.SortSpec

Deprecated. As of 1.6.3, replaced by `CustomScorer` and `SortExpression`.

    @Deprecated
    public final class SortSpec

extends java.lang.Object

Sorting specification for a single dimension. Multi-dimensional sorting is supported by a collection of SortSpecs.

Nested Class Summary
`static class` | `SortSpec.Builder` Deprecated. A builder that constructs `SortSpecs`.
`static class` | `SortSpec.SortDirection` Deprecated. The direction search results are sorted by, either ascending or descending.
`static class` | `SortSpec.SortType` Deprecated. The type of sorting to order documents in a search.

Method Summary
`java.lang.String` | `getDefaultValue()` Deprecated.
`java.lang.Double` | `getDefaultValueNumeric()` Deprecated.
`SortSpec.SortDirection` | `getDirection()` Deprecated.
`java.lang.String` | `getExpression()` Deprecated.
`int` | `getLimit()` Deprecated.
`SortSpec.SortType` | `getType()` Deprecated.
`static SortSpec.Builder` | `newBuilder()` Deprecated. Creates and returns a SortSpec Builder.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getType

    public SortSpec.SortType getType()

  Deprecated.
  Returns:
    the type of the SortSpec

### getLimit

    public int getLimit()

  Deprecated.
  Returns:
    the maximum number of top retrieved results to score

### getExpression

    public java.lang.String getExpression()

  Deprecated.
  Returns:
    the expression to evaluate for each document and sort by

### getDirection

    public SortSpec.SortDirection getDirection()

  Deprecated.
  Returns:
    the direction to sort the search results in

### getDefaultValue

    public java.lang.String getDefaultValue()

  Deprecated.
  Returns:
    the default value for the field. Can be null

### getDefaultValueNumeric

    public java.lang.Double getDefaultValueNumeric()

  Deprecated.
  Returns:
    the default numeric value for the field. Can be null

### newBuilder

    public static SortSpec.Builder newBuilder()

  Deprecated.
  Creates and returns a SortSpec Builder.

  Returns:
    a new `SortSpec.Builder`. Set the parameters for the sort specification on the Builder, and use the `SortSpec.Builder.build()` method to create a concrete instance of SortSpec

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD